%define dev_ver %nil
%define pre %nil
%def_disable static

Name: ecasound
Version: 2.5.2
Release: alt1%dev_ver%pre

Summary: Multitrack Audio Processing Tool
Group: Sound
License: GPL/LGPL
Url: http://www.eca.cx/ecasound/

Source: http://%name.seul.org/download/%name-%version%dev_ver%pre.tar.gz
Patch: ecasound-2.5.2-alt-shared.patch
Patch1: %name-2.4.3-fix-doc-gen.patch

%define jack_ver 0.90.0
%define alsa_ver 1.0.0

Requires: lib%name = %version-%release
Requires: libjack >= %jack_ver
BuildPreReq: jackit-devel >= %jack_ver
BuildPreReq: ruby, libruby-devel

# Automatically added by buildreq on Wed Jul 02 2008 (-bi)
BuildRequires: gcc-c++ ghostscript-utils hevea ladspa_sdk libarts-devel libncurses-devel libreadline-devel libsamplerate-devel libsndfile-devel python-devel rpm-build-ruby yodl

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback,
recording and format conversions, as well as for multitrack effect
processing, mixing, recording and signal recycling. Ecasound supports
a wide range of audio inputs, outputs and effect algorithms.
Effects and audio objects can be combined in various ways, and their
parameters can be controlled by operator objects like oscillators
and MIDI-CCs. As most functionality is located in shared libraries,
creating alternative user-interfaces is easy. A versatile console mode
interface is included in the package.

%description -l ru_RU.KOI8-R
Ecasound -        . 
          
        , 
     ,   .. Ecasound 
        
 ,  , LADSPA.    
   OSC  MIDI.     
   ,    
 ecasound   .      
  ecasound.

%package -n lib%name
Summary: Shared library for %name
Group: System/Libraries

%description -n lib%name
This package contains shared libraries required for %name to work.

%package -n python-modules-%name
Summary: Python bindings to ecasound control interface
Group: Sound
Obsoletes: %name-python
Provides: %name-python = %version-%release
Requires: %name = %version-%release

%description -n python-modules-%name
Python bindings to ecasound control interface.

%package -n ruby-%name
Summary: Rubi bindings to ecasound control interface
Group: Sound
Obsoletes: %name-ruby
Provides: %name-ruby = %version-%release
Requires: %name = %version-%release

%description -n ruby-%name
Ruby bindings to ecasound control interface.

%package devel
Summary: Development files for Ecasound
Group: Sound
Requires: lib%name = %version-%release

%description devel
Headers files and static libraries needed for compiling other programs
against ecasound. 

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define __docdir %_docdir/%name-%version

%prep
%setup -q -n %name-%version%dev_ver%pre
%patch -p1
%patch1 -p1

%build
%autoreconf
%configure  \
	    %{subst_enable static} \
	    --enable-sys-readline \
	    --enable-pyecasound \
	    --with-python-modules=%python_libdir \
	    --with-largefile \
	    --with-jack=%_prefix

%make

# Copy hevea.sty, so LaTeX can find it (ugly hack)
ln -s %_libdir/hevea/hevea.sty Documentation/users_guide/
# Now we can build the docs :-]
%make_build -C Documentation docs

%install
%make_install DESTDIR=%buildroot ECA_S_RUBY_SITEDIR=%ruby_sitearchdir install

# install docs
%__mkdir_p %buildroot%__docdir/{html/{programmers_guide,users_guide},printable,examples}
%__cp NEWS README INSTALL BUGS %buildroot%__docdir
%__cp Documentation/*.html %buildroot%__docdir/html/
%__cp -r Documentation/programmers_guide/html_* %buildroot%__docdir/html/programmers_guide/
%__cp Documentation/programmers_guide/*.pdf %buildroot%__docdir/printable/
%__cp Documentation/programmers_guide/*.txt %buildroot%__docdir/printable/
%__cp -r Documentation/users_guide/html_* %buildroot%__docdir/html/users_guide/
%__cp Documentation/users_guide/*pdf %buildroot%__docdir/printable/
%__cp examples/{README,*.c*,*.py} %buildroot%__docdir/examples

%files
%_bindir/*
%exclude %_bindir/*-config
%_mandir/man1/*
%_mandir/man5/*
%dir %__docdir
%dir %__docdir/html
%dir %__docdir/printable
%__docdir/[A-Z]*
%__docdir/html/*.html
%__docdir/html/users_guide
%__docdir/printable/ecasound_users_guide.pdf
%config %_datadir/ecasound/*

%files -n python-modules-%name
%python_site_packages_dir/*.py*
%python_site_packages_dir/*.so

%files -n ruby-%name
%ruby_sitearchdir/*

%files -n lib%name
%_libdir/*.so.*

%files devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
%__docdir/html/programmers_guide
%__docdir/printable/ecasound_eci_doc.pdf
%__docdir/printable/ecasound_programmers_guide.txt
%__docdir/examples

%changelog
* Tue Dec 02 2008 Yuri N. Sedunov <aris@altlinux.org> 2.5.2-alt1
- 2.5.2
- removed obsolete %%post{,un}_ldconfig

* Wed Jul 02 2008 Alexander Myltsev <avm@altlinux.ru> 2.4.5-alt2
- Fix sisyphus_check error (build requirement for XFree86-libs).

* Fri Mar 30 2007 Alex V. Myltsev <avm@altlinux.ru> 2.4.5-alt1
- 2.4.5

* Tue Jul 11 2006 Mikhail Yakshin <greycat@altlinux.ru> 2.4.4-alt1
- 2.4.4
- fixed build errors (thanks to raorn)

* Sat Jan 07 2006 Mikhail Yakshin <greycat@altlinux.org> 2.4.3-alt1
- 2.4.3

* Mon Jan 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Thu Sep 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt2
- Python subpackage renamed and built accordingly to the new python policy.
- Ruby subpackage also renamed.

* Sat May 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed Feb 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt0.6
- build shared libraries.
- do not package .la files.

* Sat Dec 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-0.5
- 2.3.2.
- ecasound-ruby subpackage.

* Wed Nov 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-0.5
- 2.3.1

* Sat Aug 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-0.5
- 2.3.0

* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-0.5
- 2.2.3

* Thu Mar 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-0.5
- 2.2.2

* Mon Mar 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-0.5
- 2.2.1 

* Tue Mar 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-0.5pre1
- 2.2.0

* Mon May 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1-0.8dev7
- 2.1dev7 

* Thu Jan 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt0.6
- 2.0.4

* Sat Dec 15 2001 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt0.8
- Initial spec file release.
